{% set isAllowed = is_granted('ROLE_SERVICE_COMMITTEE') or is_granted('ROLE_TERRITORY') %}
{% set isDisabled = isAllowed ? false : true %}
{% extends 'base.html.twig' %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{{ path('app_territory_areas_list') }}">Territoires</a>
    </li>
    <li class="breadcrumb-item">
        <a href="{{ path('app_territory_areas_show', {'area': territory.area.id}) }}">{{ territory.area.title }}</a>
    </li>

    <li class="breadcrumb-item active">
        <a href="#">{{ territory.area.title }} {{ territory.title }}</a>
    </li>
{% endblock %}


{% block header_title %}
    {{ territory.area.title }} - {{ territory.title }}

{% endblock %}
{% block header_subtitle %}

  <span class="badge {{ territory.getAvailabilityStatus|availabilityToBadge }}">{{ territory.getAvailabilityStatus|availabilityToString }}</span>

{% endblock %}

{% block head_content %}
    {% if isAllowed %}
        <div class="toggle-wrap nk-block-tools-toggle">
            <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
            <div class="toggle-expand-content" data-content="pageMenu">
                <ul class="nk-block-tools g-3">

                    {% if territory.histories|length > 0 %}
                        {% set lastHistory = territory.histories[territory.histories|length-1] %}
                        {% if lastHistory.inDate is not null %}
                            <li class="nk-block-tools-opt"><a href="{{ path('app_territory_history_add', {'territory': territory.id}) }}" class="btn btn-primary"><em class="icon ni ni-inbox-out-fill"></em><span>Attribuer le territoire</span></a></li>
                        {% endif %}
                    {% else %}
                            <li class="nk-block-tools-opt"><a href="{{ path('app_territory_history_add', {'territory': territory.id}) }}" class="btn btn-primary"><em class="icon ni ni-inbox-out-fill"></em><span>Attribuer le territoire</span></a></li>
                    {% endif %}

                </ul>
            </div>
        </div>
    {% endif %}

{% endblock head_content %}
{% block body %}
    <div class="col-12">
        <div class="row mb-2">
            {% for message in app.flashes('success') %}
                <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                    <em class="icon ni ni-check-circle-fill"></em>
                    {{ message }}
                </div>
            {% endfor %}
        </div>
        {% if isAllowed %}
            <div class="row mb-4">
                <div class="col-lg-12 col-sm-12 col-12 col-xxl-12">
                    <div class="card card-bordered card-full">
                        <div class="card-inner">
                            <div class="card-title-group">
                                <div class="card-title">
                                    <h6 class="title"><span class="me-1">Historique</span></h6>
                                </div>
                            </div>
                        </div>
                        <div class="card-inner p-0 border-top">
                            <div class="nk-tb-list nk-tb-orders">
                                <div class="nk-tb-item nk-tb-head">
                                    <div class="nk-tb-col tb-col"><span>Proclamateur</span></div>
                                    <div class="nk-tb-col"><span>Sortie</span></div>
                                    <div class="nk-tb-col"><span>Entrée</span></div>
                                    <div class="nk-tb-col"><span></span></div>
                                </div>

                                {% for history in territory.histories %}
                                    <div class="nk-tb-item">
                                        <div class="nk-tb-col">
                                            <div class="user-card">
                                                <div class="user-name">
                                                    <span class="tb-lead"><a href="{{ path('app_publisher_show', {'id': history.publisher.id}) }}">{{ history.publisher.fullName }}</a></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="nk-tb-col tb-col">
                                            <span class="tb-lead">{{ history.outDate|date('d/m/y') }}</span>
                                        </div>
                                        <div class="nk-tb-col">
                                            <span class="tb-lead">
                                                {% if history.inDate is not null %}
                                                    {{ history.inDate|date('d/m/y') }}
                                                {% endif %}
                                            </span>
                                        </div>
                                        <div class="nk-tb-col nk-tb-col-action">
                                            <div class="dropdown">
                                                <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                                <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                                    <ul class="link-list-plain">
                                                        <li><a href="{{ path('app_territory_history_edit', {'history': history.id }) }}">Modifier</a></li>
                                                        <li><a href="#" data-bs-toggle="modal" data-bs-target="#modalRemoveHistory{{ history.id }}">Supprimer</a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    {% include 'territory/history/fragments/_modal_remove.html.twig' with {'history': history} %}
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                {% if territory.area.title is same as 'Purpan' %}
                    <div class="alert alert-pro alert-warning">
                        Les territoires pour cette zone ne sont pas au format .png
                    </div>
                    {% else %}
                        <div class="image-block">
                            <img src="/images/territories{{ territory.prefixFolder }}/{{ territory.title }}.png" alt="{{ territory.title }}" class="img-fluid">
                        </div>
                {% endif %}

            </div>
        {% endif %}
    </div>
{% endblock %}
